Enable MFA

Enables multi-factor authentication (MFA) for the specified account.

HTTP Request

POST /api/sonar/users/:guid/mfa/enable
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -X POST https://HOSTNAME/api/sonar/users/a1b2c3d4-e5f6-7890-abcd-ef1234567890/mfa/enable
Request Parameters
Path Parameters
KeyTypeDescriptionNotes
guidStringAccount identifier36-character GUID

Success Response

{}

Error Responses

Identifier is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "guid should be not null"
}
Identifier is not in valid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
Account is not found

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "user-not-found"
}
No permission

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}